
// JScript 文件
//广告
//1广告广告


//000000广告列表开始
var MadinfoStore;
function UpAdPic(msg,picstr) {
    Ext.MessageBox.alert(msg);
    //var temp1 = Ext.get('Adpic');
//    var temp2 = document.getElementById("Adpic");
    var temp3 = document.getElementsByName("Adpic");
    if (temp3.length > 1) {

        temp3 = temp3[temp3.length - 1];
        temp3.value = picstr.replace(",", "");
    } else {
        temp3.Adpic.value = picstr.replace(",", "");
  
    }

}
MadinfoManage = function(node) {//分页每页显示数量	 
    var pageSize = 80;
    //指定列参数

    var Madinfofields = ["ID", "Adname", "Adurl", "Adpic", "Flag", "Adtitle"];
    MadinfoStore = new Ext.data.GroupingStore({
        proxy: new Ext.data.HttpProxy(
           {
               url: "/MCScriptManageServices/AllMadInfo.aspx",
               method: "POST"
           }),
        reader: new Ext.data.JsonReader(
           {
               fields: Madinfofields,
               root: "data",
               id: "ID",
               totalProperty: "totalCount"

           })
        //groupField:'id',
          // sortInfo: { field: 'ID', direction: "DESC" }
    });
    MadinfoStore.load({ params: { start: 0, limit: pageSize} });




    //--------------------------------------------------列选择模式
    var sm = new Ext.grid.CheckboxSelectionModel({
    //dataIndex:"id"
});
//--------------------------------------------------列头
var cm = new Ext.grid.ColumnModel([
		sm,
{
    header: "广告名称",
    tooltip: "广告名称",
    dataIndex: "Adname",
    sortable: true
}]);


    var MadinfoGrid = new Ext.grid.GridPanel({
        id: "MadinfoGrid",
        store: MadinfoStore,
        sm: sm,
        cm: cm,
        loadMask: true,
        stripeRows: true,
        //autoExpandColumn:7,
        //超过长度带自动滚动条
        autoScroll: true,
        border: false,
        view: new Ext.grid.GroupingView({
            //自动填充
            forceFit: true,
            sortAscText: '正序排列',
            sortDescText: '倒序排列',
            columnsText: '列显示/隐藏',
            groupByText: '根据本列分组',
            showGroupsText: '是否采用分组显示',
            groupTextTpl: '{text} (<font color=red><b>{[values.rs.length]}</b></font> {[values.rs.length > 0 ? "条器件信息" : "暂无器件信息"]})'
        }),
        //分页
        bbar: new Ext.PagingToolbar({
            store: MadinfoStore,
            pageSize: pageSize,
            //显示右下角信息
            displayInfo: true,
            displayMsg: '当前记录 {0} -- {1} 条 共 {2} 条记录',
            emptyMsg: "No results to display",
            prevText: "上一页",
            nextText: "下一页",
            refreshText: "刷新",
            lastText: "最后页",
            firstText: "第一页",
            beforePageText: "当前页",
            afterPageText: "共{0}页"

        }),
        tbar: [
		new Ext.Toolbar.Fill()
		, "", "-", "",
			{
			    text: "刷新信息",
			    //默认样式为按下
			    //pressed:true,
			    tooltip: "刷新当前页面信息",
			    iconCls: "refreshicon",
			    handler: function() {
			        MadinfoStore.reload();
			    }
			}, "", "-"
		,
		 {
		    text: "编辑",
		    tooltip: "编辑广告信息",
		    iconCls: "editicon",
		    handler: EditMadinfoFn
		},"-"], listeners: {
		    'contextmenu': function(e) {
		        e.stopEvent();
		    },
		    'rowcontextmenu': function(grid, rowIndex, e) {
		        e.stopEvent();
		    }
		}
    });



    GridMain(node, MadinfoGrid, "usericon");
}

function DelMadinfoFn() {
    var row = Ext.getCmp("MadinfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "请您至少选择一个!");
    }
    else {
        Ext.Msg.confirm("提示!", "您确定要删除该广告信息吗?", function(btn) {
            if (btn == "yes") {
                DelMadinfoFn(row);
            }
            else {

            }
        })
    }
}

function EditMadinfoFn() {
    var row = Ext.getCmp("MadinfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "您没有选中任何行!");
    }
    else if (row.length > 1) {

        Ext.Msg.alert("提示信息", "对不起只能选择一个!");
    } else if (row.length == 1) {

        EditMadinfos(row[0]); //传行一行记录直接加载
    }
}

//000000广告管理结束
//000000广告添加开始


AddMadinfoFn = function() {
    //------广告类型

    //    var AddUserRoleFields = Ext.data.Record.create([
    //        { name: 'roleid', mapping: 'roleid' }, { name: 'rolename', mapping: 'rolename' }, { name: 'roledesc', mapping: 'roledesc' }
    //    ]);

    //    var AddUserRoleStore = new Ext.data.Store({
    //        proxy: new Ext.data.HttpProxy({
    //            url: 'services/system/RoleInfo/GetRoleInfo.aspx'
    //        }),
    //        reader: new Ext.data.JsonReader({
    //            root: 'data',
    //            id: 'roleid'
    //        },
    //        AddUserRoleFields
    //        )
    //    });
    //    AddUserRoleStore.load();


    var AddMadinfoForm = new Ext.form.FormPanel({
        width: 315,
        plain: true,
        layout: "form",
        defaultType: "textfield",
        labelWidth: 60,
        baseCls: "x-plain",
        defaults: { anchor: "95%", msgTarget: "side" },
        buttonAlign: "center",
        bodyStyle: "padding:0 0 0 0",
        items: [
			{
			    name: "userid",
			    fieldLabel: "登陆帐号",
			    allowBlank: false,
			    blankText: "帐号不允许为空"
			}, {
			    name: "userpwd",
			    fieldLabel: "密码",
			    allowBlank: false,
			    blankText: "密码不能为空",
			    inputType: "password"
			}, {
			    name: "userpwd1",
			    fieldLabel: "确认",
			    inputType: "password",
			    allowBlank: false,
			    blankText: "确认密码不能为空",
			    invalidText: '两次密码不一致！',
			    validator: function() {
			        if (Ext.get('userpwd').dom.value == Ext.get('userpwd1').dom.value) {
			            return true;
			        } else {
			            return false;
			        }
			    }
			}, {
			    name: "username",
			    fieldLabel: "名称",
			    allowBlank: false,
			    blankText: "名称不能为空",
			    regex: /^[\s\S]{1,10}$/,
			    regexText: "名称请不要超过10个字符"
			}, {

			    name: "userstate",
			    xtype: "combo",
			    fieldLabel: "状态",
			    //传入后台真实值value field /value
			    hiddenName: "userstate",
			    editable: false,
			    mode: "local",
			    displayField: "show",
			    valueField: "value",
			    triggerAction: "all",
			    value: "0",
			    store: new Ext.data.SimpleStore({
			        fields: ["show", "value"],
			        data: [["正常", "0"], ["禁用", "1"]]
			    })
			},
        //			{

        //			    xtype: "combo",
        //			    tpl: '<tpl for="."><div ext:qtip="{rolename}. {roledesc}" class="x-combo-list-item">{rolename}</div></tpl>',
        //			    store: AddUserRoleStore,
        //			    typeAhead: true,
        //			    fieldLabel: '角色',
        //			    hiddenName: 'roleid',
        //			    name: 'roleid',
        //			    forceSelection: true,
        //			    triggerAction: 'all',
        //			    emptyText: '选择角色类型',
        //			    selectOnFocus: true,
        //			    width: 130,
        //			    editable: false,
        //			    allowBlank: false,
        //			    blankText: '请选择角色类型',
        //			    displayField: 'rolename',
        //			    valueField: 'roleid',
        //			    mode: 'remote'
        //			}, 
			{
			name: "remarks",
			fieldLabel: "备注描述",
			allowBlank: false,
			blankText: "备注描述不能为空"

}
			]
    });


    var AddMadinfoWin = new Ext.Window({
        title: "添加新广告",
        width: 350,
        plain: true,
        layout: "form",
        iconCls: "addicon",
        //不可以随意改变大小
        resizable: false,
        //是否可以拖动
        //draggable:false,
        defaultType: "textfield",
        labelWidth: 100,
        collapsible: true, //允许缩放条
        closeAction: 'hide',
        closable: true,
        //弹出模态窗体
        modal: 'true',
        buttonAlign: "center",
        bodyStyle: "padding:10px 0 0 15px",
        items: [AddMadinfoForm],
        listeners: {
            "show": function() {
                AddMadinfoForm.getForm().reset();
            }
        },
        buttons: [{
            text: "保存信息",
            minWidth: 70,
            handler: function() {
                if (AddMadinfoForm.getForm().isValid()) {
                    //弹出效果
                    Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                    setTimeout(function() { }, 1000);
                    AddMadinfoForm.form.submit({
                        url: "/MCScriptManageServices/AddClassInfo.aspx",
                        method: "POST",
                        success: function(form, action) {
                            //成功后
                            var flag = action.result.success;
                            if (flag == "true") {
                                Ext.MessageBox.alert("恭喜", "添加新广告成功!");
                                MadinfoStore.reload();
                                AddMadinfoWin.hide();
                            } else if (flag == "false") {

                                var reson = action.result.reson;
                                //Ext.MessageBox.alert("提示",""+reson+"!");
                                if (reson != "undefined")
                                    Ext.MessageBox.alert("提示", "系统已存在此广告名!");
                            }
                        },
                        failure: function(form, action) {
                            Ext.MessageBox.alert("提示!", "添加新广告失败!");
                        }
                    });
                }
            }
        }, {
            text: "重置",
            minWidth: 70,
            qtip: "重置数据",
            handler: function() {
                AddMadinfoForm.getForm().reset();
            }
        }, {
            text: "取 消",
            minWidth: 70,
            handler: function() {
                AddMadinfoWin.hide();
            }
}]

        });
        AddMadinfoWin.show();
    }

    //000000广告添加结束
    //000000广告编辑开始
    EditMadinfos = function(row) {
        //------广告类型

        //        var EditUserRoleFields = Ext.data.Record.create([
        //        { name: 'roleid', mapping: 'roleid' }, { name: 'rolename', mapping: 'rolename' }, { name: 'roledesc', mapping: 'roledesc' }
        //    ]);

        //        var EditUserRoleStore = new Ext.data.Store({
        //            proxy: new Ext.data.HttpProxy({
        //            url: '/MCScriptManageServices/GetRoleInfoByid'
        //            }),
        //            reader: new Ext.data.JsonReader({
        //                root: 'data',
        //                id: 'roleid'
        //            },
        //        EditUserRoleFields
        //        )
        //        });
        //        EditUserRoleStore.load();

        var EditMadinfoForm = new Ext.form.FormPanel({
            width: 315,
            plain: true,
            layout: "form",
            defaultType: "textfield",
            labelWidth: 60,
            baseCls: "x-plain",
            defaults: { anchor: "95%", msgTarget: "side" },
            buttonAlign: "center",
            bodyStyle: "padding:0 0 0 0",
            items: [
						{
						    xtype: 'hidden',
						    name: "ID",
						    fieldLabel: "登录帐号",
						    allowBlank: false,
						    blankText: "帐号不允许为空",
						    readOnly: true
						}, {
                        
						name: "Adname",
						    fieldLabel: "广告名称",
						    allowBlank: false,
						    blankText: "广告名称",
						    readOnly: true
						}, {
						name: "Adtitle",
						    fieldLabel: "广告标题",
						    allowBlank: false,
						    blankText: "广告标题"
						},{
						name: "Adpic",
						    fieldLabel: "广告图片",
						    allowBlank: false,
						    blankText: "广告图片"
						}, {
						    xtype: 'panel',
						    plain: true,
						    width: 299,
                            height:76,
						    html: "<iframe src='/MCScriptManageServices/upfilesAD.aspx'scrolling='no' frameborder=0 width=100% height=100%></iframe>"

						}, {
						name: "Adurl",
						    fieldLabel: "广告连接",
						    allowBlank: false,
						    blankText: "广告连接"
						}
			]
        });


        var EditMadinfoWin = new Ext.Window({
            title: "编辑广告信息",
            width: 350,
            plain: true,
            //layout:"form",
            iconCls: "addicon",
            //不可以随意改变大小
            resizable: false,
            //是否可以拖动
            //draggable:false,
            defaultType: "textfield",
            labelWidth: 100,
            collapsible: true, //允许缩放条
            closeAction: 'hide',
            closable: true,
            //弹出模态窗体
            modal: 'true',
            buttonAlign: "center",
            bodyStyle: "padding:10px 0 0 15px",
            items: [EditMadinfoForm],
            listeners: {
                "show": function() {

                    EditMadinfoForm.getForm().reset();
                    var classid_input = row.data.ID;
                    EditMadinfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/GetMadInfoById.aspx?id=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            },
            buttons: [{
                text: "保存信息",
                minWidth: 70,
                handler: function() {
                    if (EditMadinfoForm.getForm().isValid()) {
                        //弹出效果
                        Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                        setTimeout(function() { }, 1000);
                        EditMadinfoForm.form.submit({
                        url: "/MCScriptManageServices/UpdateMadInfo.aspx",
                            method: "POST",
                            success: function(form, action) {
                                //成功后
                                var flag = action.result.success;
                                if (flag == "true") {
                                    Ext.MessageBox.alert("恭喜", "保存广告信息成功!");
                                    MadinfoStore.reload();
                                    EditMadinfoWin.hide();
                                } else if (flag == "false") {

                                    Ext.MessageBox.alert("提示", "您的广告名可能系统中已经存在，请换一个广告名试下!");
                                    MadinfoStore.reload();
                                    EditMadinfoWin.hide();
                                }
                            },
                            failure: function(form, action) {
                                Ext.MessageBox.alert("提示!", "保存广告信息失败!");
                            }
                        });
                    }
                }
            }, {
                text: "重置",
                minWidth: 70,
                qtip: "重置数据",
                handler: function() {
                    var classid_input = row.data.id;
                    EditMadinfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/LoadClassInfo.aspx?loginid=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            }, {
                text: "取 消",
                minWidth: 70,
                handler: function() {
                    EditMadinfoWin.hide();
                }
}]

            });
            EditMadinfoWin.show();
        }

        //000000广告编辑结束
        //000000广告删除开始

        DelMadinfoFn = function(row) {
            var deletesplit = "";
            for (var i = 0; i < row.length; i++) {
                if (row.length == 1) {
                    deletesplit = row[i].data.id;
                }
                else {

                    if (i < (row.length - 1)) {
                        deletesplit = row[i].data.id + "," + deletesplit;
                    }
                    if (i == (row.length - 1)) {
                        deletesplit = deletesplit + row[i].data.id;
                    }
                }
            }
            Ext.Ajax.request({
                url: "/MCScriptManageServices/DeleteClassInfo.aspx",
                method: "POST",
                params: {
                    id: deletesplit
                },
                success: function() {
                    MadinfoStore.reload();
                },
                failure: function() {
                    Ext.Msg.alert("提 示", "删除失败了!");
                }
            });
        }

        //000000广告删除结束